Subject: [Fot] TR6 tubular push rods for sale

From: Greg And Alison Blake via Fot <[email-masked]>
Date: Fri, 20 Mar 2015 21:56:32 -0500

My mistake becomes your opportunity. Even though I was warned, I ordered a set of push rods a little too short for the TR6 motor I am building. So if you are in the market for competition TR6 pushrods, I may have what you need. These have been installed only, not run. Just purchased from TSI 2 weeks ago. I believe Ted has them made by Smith Brothers. High quality pieces, just won't work for me. I ordered the correct length for this motor today. 

These are 0.160" shorter than stock TR6 pushrods.  Let me know if you need them for a radically milled TR6 head or maybe a GT6 motor. 

Thanks,

Greg

_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive